2019-12-14 00:20 EST


View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0001877FSSCPPilot datapublic2011-03-25 08:06
Reporterkarajorma 
Assigned ToZacam 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformWindowsOSWindows XP ProOS VersionSP3
Product Version 
Target VersionFixed in VersionAntipodes 8 
Summary0001877: Int3() when looking at multiplayer options with singleplayer pilot
DescriptionWhile having a single player selected I decided I wanted to turn off PXO so I could do some multiplayer stand alone testing. This resulted in an int3() from options_multi_gen_do() in optionsmenumulti.cpp.

Om_gen_obj_update has a negative value. The incorrect value is originally being read into p->m_local_options.obj_update_level in read_multiplayer_options() in managepilot.cpp

Single player pilots obviously don't have these options set so the data being read in is mostly nonsense as far as I can see. What I'm not certain is the best place to fix this.
Steps To ReproduceStart the game. Pick a new single player pilot, go to the mutli options.
Additional InformationThis is a brand new XP install and as such none of the multiplayer registry entries have been set up yet.
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0012552

Zacam (administrator)

To be tested against Antipodes 8 code.

~0012639

The_E (administrator)

No longer happens in AP8
+Notes

-Issue History
Date Modified Username Field Change
2009-01-27 16:37 karajorma New Issue
2010-12-07 13:09 The_E Category multiplayer => Pilot data
2010-12-13 23:23 Zacam Note Added: 0012552
2010-12-13 23:23 Zacam Assigned To => Zacam
2010-12-13 23:23 Zacam Status new => feedback
2011-03-25 08:06 The_E Note Added: 0012639
2011-03-25 08:06 The_E Status feedback => closed
2011-03-25 08:06 The_E Resolution open => fixed
2011-03-25 08:06 The_E Fixed in Version => Antipodes 8
+Issue History